Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.ant
Class MappingToolTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.openjpa.lib.ant.AbstractTask
                      org.apache.openjpa.jdbc.ant.MappingToolTask

All Implemented Interfaces:
  Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

    public class MappingToolTask

extends AbstractTask

Executes the `MappingTool` on the specified files. This task can take the following arguments:

- `action`
- `meta`
- `schemaAction`
- `dropTables`
- `ignoreErrors`
- `readSchema`
- `primaryKeys`
- `foreignKeys`
- `indexes`
- `file`
- `schemaFile`
- `sqlFile`
- `sqlEncode`
- `sqlTerminator`
- `tmpClassLoader`

Of these arguments, only `action` is required.

Nested Class Summary
`static class` | `MappingToolTask.Action`
`static class` | `MappingToolTask.SchemaAction`

Field Summary
`protected String` | `file`
`protected MappingTool.Flags` | `flags`
`protected String` | `schemaFile`
`protected String` | `sqlEncode`
`protected String` | `sqlFile`
`protected boolean` | `tmpClassLoader`

Fields inherited from class org.apache.openjpa.lib.ant.AbstractTask
`classpath, fileSets, haltOnError, isolate, useParent`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`MappingToolTask()`

Method Summary
`protected void` | `executeOn(String[] files)` Perform the task action on the given files.
`protected ConfigurationImpl` | `newConfiguration()` Implement this method to return a configuration object for the product in use.
`void` | `setAction(MappingToolTask.Action act)` Set the enumerated MappingTool action type.
`void` | `setDropSequences(boolean dropSequences)` Set whether the MappingTool should drop sequences.
`void` | `setDropTables(boolean dropTables)` Set whether the MappingTool should drop tables.
`void` | `setFile(String file)` Set the output file we want the MappingTool to write to.
`void` | `setForeignKeys(boolean fks)` Set whether to generate foreign key information.
`void` | `setIgnoreErrors(boolean ignoreErrors)` Set whether we want the MappingTool to ignore SQL errors.
`void` | `setIndexes(boolean idxs)` Set whether to generate index information.
`void` | `setMeta(boolean meta)` Set whether this action applies to metadata as well as mappings.
`void` | `setOpenJPATables(boolean openjpaTables)` Set whether to drop OpenJPA tables.
`void` | `setPrimaryKeys(boolean pks)` Set whether to generate primary key information.
`void` | `setReadSchema(boolean readSchema)` Set whether the MappingTool should read the full schema.
`void` | `setSchemaAction(MappingToolTask.SchemaAction act)` Set the enumerated SchemaTool action type.
`void` | `setSchemaFile(String schemaFile)` Set the output file for an XML representation of the planned schema.
`void` | `setSequences(boolean sequences)` Set whether the MappingTool should manipulate sequences.
`void` | `setSQLEncode(String sqlEncode)` Set the output file charset encoding we want the MappingTool to use.
`void` | `setSQLFile(String sqlFile)` Set the output file we want the MappingTool to write a SQL script to.
`void` | `setSQLTerminator(String t)` Sets the characters used to terminate a generated SQL.
`void` | `setTmpClassLoader(boolean tmpClassLoader)` Set whether a temporary ClassLoader should be used by the MappingTool.

Methods inherited from class org.apache.openjpa.lib.ant.AbstractTask
`addFileset, assertFiles, createClasspath, createConfig, execute, getClassLoader, getConfiguration, setClasspath, setHaltOnError, setIsolate, setUseParentClassloader`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    protected MappingTool.Flags flags

### file

    protected String file

### schemaFile

    protected String schemaFile

### sqlFile

    protected String sqlFile

### sqlEncode

    protected String sqlEncode

### tmpClassLoader

    protected boolean tmpClassLoader

Constructor Detail

### MappingToolTask

    public MappingToolTask()

Method Detail

### setAction

    public void setAction(MappingToolTask.Action act)

  Set the enumerated MappingTool action type.

### setSchemaAction

    public void setSchemaAction(MappingToolTask.SchemaAction act)

  Set the enumerated SchemaTool action type.

### setReadSchema

    public void setReadSchema(boolean readSchema)

  Set whether the MappingTool should read the full schema.

### setIgnoreErrors

    public void setIgnoreErrors(boolean ignoreErrors)

  Set whether we want the MappingTool to ignore SQL errors.

### setDropTables

    public void setDropTables(boolean dropTables)

  Set whether the MappingTool should drop tables.

### setOpenJPATables

    public void setOpenJPATables(boolean openjpaTables)

  Set whether to drop OpenJPA tables.

### setDropSequences

    public void setDropSequences(boolean dropSequences)

  Set whether the MappingTool should drop sequences.

### setSequences

    public void setSequences(boolean sequences)

  Set whether the MappingTool should manipulate sequences.

### setPrimaryKeys

    public void setPrimaryKeys(boolean pks)

  Set whether to generate primary key information.

### setForeignKeys

    public void setForeignKeys(boolean fks)

  Set whether to generate foreign key information.

### setIndexes

    public void setIndexes(boolean idxs)

  Set whether to generate index information.

### setFile

    public void setFile(String file)

  Set the output file we want the MappingTool to write to.

### setSchemaFile

    public void setSchemaFile(String schemaFile)

  Set the output file for an XML representation of the planned schema.

### setSQLFile

    public void setSQLFile(String sqlFile)

  Set the output file we want the MappingTool to write a SQL script to.

### setSQLEncode

    public void setSQLEncode(String sqlEncode)

  Set the output file charset encoding we want the MappingTool to use.

### setSQLTerminator

    public void setSQLTerminator(String t)

  Sets the characters used to terminate a generated SQL. By default, a semicolon.

### setMeta

    public void setMeta(boolean meta)

  Set whether this action applies to metadata as well as mappings.

### newConfiguration

    protected ConfigurationImpl newConfiguration()

  Description copied from class: `AbstractTask`
  Implement this method to return a configuration object for the product in use.

  Specified by:
    `newConfiguration` in class `AbstractTask`

### executeOn

    protected void executeOn(String[] files)
                      throws Exception

  Description copied from class: `AbstractTask`
  Perform the task action on the given files.

  Specified by:
    `executeOn` in class `AbstractTask`
  Throws:
    `Exception`

### setTmpClassLoader

    public void setTmpClassLoader(boolean tmpClassLoader)

  Set whether a temporary ClassLoader should be used by the MappingTool. The default value is true

  Parameters:
    `tmpClassLoader` - Whether the temporary ClassLoader should be used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.